# Reports Use these API operations to get payment reports. | Operation | Method | Description | | --- | --- | --- | | [List reports](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/reports/getreports) | GET | Returns an array of reports available for download. | | [Create a report](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/reports/postreport) | POST | Create a report. | | [Get a report](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/reports/getreport) | GET | Get the download link for a specific report. | | [Delete a report](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/reports/deletereport) | DELETE | Delete a specific report. | | [Download a report](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/reports/getreportdownload) | GET | Download a transaction report. | ## List reports - [GET /reports](https://docs.ripple.com/products/payments-direct/api-docs/report-service/reference/report-service-external/reports/getreports.md): Returns an array of reports available for download. Each array element represents an available report, and contains the reportId, reportType, and reportFormat fields associated with that report. To get the download link for a specific report, store the reportId for the report you want, and use it with the Get a report operation. ## Create report - [POST /reports](https://docs.ripple.com/products/payments-direct/api-docs/report-service/reference/report-service-external/reports/postreport.md): Request the generation of a custom report based on the specified parameters. Report duration Reports can contain up to 90 days of transactions from the previous 9 months. * Minimum report duration is 1 day. * Maximum report duration is 90 days. #### Report retention Reports are retained for 6 months after the endDate specified in your request. After this period, the report is purged and will no longer be accessible. ## Get a report - [GET /reports/{report-id}](https://docs.ripple.com/products/payments-direct/api-docs/report-service/reference/report-service-external/reports/getreport.md): Here, you apply the report-id from the List reports operation as the path parameter to get a downloadlink containing the report. Download the report at the link in the downloadLink field in the response. ## Delete reports - [DELETE /reports/{report-id}](https://docs.ripple.com/products/payments-direct/api-docs/report-service/reference/report-service-external/reports/deletereport.md): Delete a specific report with the report-id path parameter. ## Download a report - [GET /reports/download/{report-id}](https://docs.ripple.com/products/payments-direct/api-docs/report-service/reference/report-service-external/reports/getreportdownload.md): Download a transaction report. Download the report by applying the report-id from the List reports operation as a path parameter.